#!/bin/sh

cp ./acpi /boot/home/config/add-ons/kernel/bus_managers
cp ./acpi_button /boot/home/config/add-ons/kernel/drivers/bin
cp ./acpi_loader /boot/home/config/add-ons/kernel/drivers/bin
cp ./acpi_ns_dump /boot/home/config/add-ons/kernel/drivers/bin

# setup directory
mkdir /boot/home/config/add-ons/kernel/drivers/dev/power

# install R5 loader
ln -s /boot/home/config/add-ons/kernel/drivers/bin/acpi_loader /boot/home/config/add-ons/kernel/drivers/dev/disk/acpi_loader

# Install actual drivers
ln -s /boot/home/config/add-ons/kernel/drivers/bin/acpi_button /boot/home/config/add-ons/kernel/drivers/dev/power/acpi_button
ln -s /boot/home/config/add-ons/kernel/drivers/bin/acpi_ns_dump /boot/home/config/add-ons/kernel/drivers/dev/power/acpi_ns_dump

echo .
echo "Files copied."
echo "Preparing to auto-load driver."
echo "If the system crashes,"
echo "   press space-bar during boot."
echo "  select 'safe mode' " 
echo "  and then select 'disable user add-ons'"
echo "  this will allow you to boot and then run './uninstall.sh' to remove the drivers manually"
echo .
echo "Please press 'enter' when you're ready to continue."
echo .
read

# Nudge the loader & drivers to reload / init the devices.
./nudge acpi_loader
./nudge acpi_button
./nudge acpi_ns_dump

if [ -d /dev/power ]
then
	echo "The ACPI drivers have been installed and loaded."
	echo "Please send a device report as explained in the README."
else
	echo "Your system does not appear to support acpi."
	echo "  I will now uninstall the drivers."
	./uninstall.sh
fi
